//
//  DragWindow.m
//  MencoderVP6Kit
//
//  Created by tmkk on 08/03/02.
//  Copyright 2008 tmkk. All rights reserved.
//

#import "DragWindow.h"
#import "VP6Controller.h"


@implementation DragWindow

- (NSDragOperation)draggingEntered:(id <NSDraggingInfo>)info
{
	if([[self delegate] isEncoding]) return NSDragOperationNone;
    NSArray *fileArr = [[info draggingPasteboard] propertyListForType:NSFilenamesPboardType];
	if([fileArr count] != 1) return NSDragOperationNone;
	BOOL isDir;
	[[NSFileManager defaultManager] fileExistsAtPath:[fileArr objectAtIndex:0] isDirectory:&isDir];
	if(isDir) return NSDragOperationNone;
	
	[[NSCursor _copyDragCursor] set];
	return NSDragOperationGeneric;
}

- (void)draggingExited:(id <NSDraggingInfo>)info
{
	[[NSCursor arrowCursor] set];
}

- (BOOL)performDragOperation:(id <NSDraggingInfo>)info
{
	NSString *path = [[[info draggingPasteboard] propertyListForType:NSFilenamesPboardType] objectAtIndex:0];
	[[self delegate] setInputFile:path];
	return YES;
}

- (void)concludeDragOperation:(id <NSDraggingInfo>)info
{
	
}


@end
